#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	POE
Summary:	POE - multitasking and networking framework for Perl
Summary(pl.UTF-8):	POE - wielozadaniowe i sieciowe środowisko dla Perla
Name:		perl-POE
Version:	1.367
Release:	1
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{version}.tar.gz
# Source0-md5:	9b2e4375152b139e4ab5f7dfb2cc5b15
URL:		http://poe.perl.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Test-Simple >= 0.54
%if %{with tests}
BuildRequires:	perl(Filter::Util::Call) >= 1.04
BuildRequires:	perl-IO-Compress
BuildRequires:	perl-Curses
BuildRequires:	perl-Event
BuildRequires:	perl-IO-Tty >= 1.08
BuildRequires:	perl-Socket6 >= 0.14
BuildRequires:	perl-Storable >= 2.12
BuildRequires:	perl-Term-ReadKey >= 2.21
BuildRequires:	perl-Time-HiRes >= 1.59
BuildRequires:	perl-URI >= 1.30
BuildRequires:	perl-libwww
%endif
Conflicts:	perl-POE-Filter-XML < 0.29
Obsoletes:	perl-POE-Exceptions
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	perl(Curses) perl(HTTP::Date) perl(HTTP::Request) perl(HTTP::Response) perl(HTTP::Status) perl(URI) perl(Term::Cap) perl(Term::ReadKey) perl(Tk)

%description
POE is an acronym of "Perl Object Environment".  It's a networking
and multitasking (some say cooperative threading) framework for Perl.
It has been in active development since 1996, with its first open
release in 1998.  O'Reilly's Perl Conference (now OSCON) named POE
"Best New Module" in 1999.

POE has been used in mission-critical systems such as internetworked
financial markets, file systems, commerce and application servers.
It has been used in projects ranging from a few lines of code to tens
of thousands.

POE is compatible with perl versions as old as 5.005_03.

POE includes an evolving component framework.  Components are high-level,
modular, reusable pieces of programs.  Several components have been
published on the CPAN, and more are listed on POE's web site.

POE includes components and libraries for making quick work of network
clients, servers, and peers.  A simple stand-alone web application takes
about 30 lines of code, most of which is your own custom logic.

%description -l pl.UTF-8
POE to skrót od "Perl Object Environment" (co oznacza "środowisko
obiektowe Perla"). Jest to szkielet obsługi sieci i wielozadaniowości
(nazywanej przez niektórych "kooperatywnym wątkowaniem") dla Perla.
Jest aktywnie rozwijane od 1996 roku, a pierwsze publiczne wydanie
było w 1998 roku. Na O'Reilly's Perl Conference (teraz OSCON) w 1999
roku POE zostało nazwane "Najlepszym nowym modułem".

POE jest używane w systemach mission-critical, takich jak
międzysieciowe rynki finansowe, systemy plików, serwery aplikacji i
handlowe. Jest używane w projektach o rozmiarach od kilku linii do
dziesiątek tysięcy.

POE jest kompatybilne z Perlem od wersji 5.005_03.

POE zawiera rozwijający się szkielet komponentów. Komponenty to
wysokopoziomowe, modularne, dające się wielokrotnie wykorzystywać
kawałki programów. Część komponentów została opublikowana w CPAN,
więcej można znaleźć na stronie WWW POE.

POE zawiera komponenty i biblioteki do szybkiego tworzenia klientów,
serwerów i partnerów sieciowych. Prosta, samodzielna aplikacja WWW
zajmuje około 30 linii kodu, z których większość to właściwa logika.

%prep
%setup -q -n %{pdir}-%{version}
rm -f lib/POE/Filter/HTTPD.pm{~.orig}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--default
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/POE/{Component/CD,Session}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES HISTORY README TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/POE
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.perl
%{_mandir}/man3/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-POE.git;a=log;h=36d9c4e26d1b7d50438ffd5e654f3a88de0ac0a9

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 36d9c4e
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 53291ea
- up to 1.367

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> c20ff22
- up to 1.350

* Fri Sep 18 2009 amateja <amateja@pld-linux.org> 03d3f0b
- updated to 1.268

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> e36e453
- updated to 1.006

* Sun Dec 21 2008 Maciej Pijanka <agaran@pld-linux.org> 67b52fc
- perl(Tk) is NOT required to get POE running.

* Thu Nov 27 2008 Maciej Pijanka <agaran@pld-linux.org> aa9ecfb
- up to 1.003, builds here

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 345fdfd
- outdated

* Tue Apr 01 2008 Maciej Pijanka <agaran@pld-linux.org> d2de4fd
- up to 1.000, rel 1, builds here

* Mon Mar 31 2008 Elan Ruusamäe <glen@pld-linux.org> 2b724f6
- backup could also be ~ depending on VERSION_CONTROL env var

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 944e394
- use rm -f in case patch doesn't leave backup with .orig extension

* Wed Feb 20 2008 Maciej Pijanka <agaran@pld-linux.org> 48e468c
- fix warning caused by that patch

* Wed Feb 20 2008 Maciej Pijanka <agaran@pld-linux.org> 0b2fff3
- remove file that should not be there

* Tue Feb 19 2008 Maciej Pijanka <agaran@pld-linux.org> bb0e232
- added patch fixing buggy handling doubleslash requests by POE::Filter::HTTPD
- rel 2

* Tue Feb 19 2008 Maciej Pijanka <agaran@pld-linux.org> 3658b64
- patch for buggy handling bad uris in requests

* Wed Dec 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a1df1e
- up to 0.9999

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 104fb32
- up to 0.9989, rel 1, builds here

* Mon Mar 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a49056d
- updated

* Mon Mar 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 13e0cff
- up to 0.9917

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e98149f
- tabs in preamble

